# Rate Limiting

### How fast can I query the Maildrop API?

The Maildrop API rate limits connections within **10-second windows of time**. Within those 10 seconds, you can make **up to 50 queries**, for an average of **5 queries per second**.

In theory, you could burst to up to 25 queries at once, assuming that you have done a burst of a similar number of queries within the allotted window of time.

In reality, your sustained query rate should probably stay around **1 or 2 queries per second**, simply because of the rate that the mail server will accept new messages. Retrieving a list of messages for a mailbox more often than once every ten seconds or so is wasteful.

### What happens if I get rate limited?

Connections will start getting dropped with a 429 response code. Continued connections will see this 429 response code until they back off for the window of time, when the number of queries resets.

Continued rate limiting may result in your connections being **completely denied**, so please take care in how often you're accessing the API.

### What if I need to query the API faster than the rate limit?

**Please** [**get in touch**](https://maildrop.cc/contact-us/). Custom API servers and entire Maildrop clusters can be set up for dedicated use. Prior to inquiries about dedicated hardware, you should investigate your usage of the API and whether you really need to be querying incoming mailboxes faster than 5 times per second. (Sample some of your million rows rather than testing every one!)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maildrop.cc/api-reference/rate-limiting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
